Bug 83665 - bad filter is downloading every user/group during quieries
bad filter is downloading every user/group during quieries
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-06 16:21 EST by Tommy McNeely
Modified: 2015-01-07 19:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:51:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tommy McNeely 2003-02-06 16:21:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.1) Gecko/20020827

Description of problem:
when setup for "ldap" authentication, the linux box does an ldapsearch on the
whole subtree for (objectclass=posixAccount) which returns about 30,000 entries
.. not good... does the same thing for group (objectclass=posixGroup).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup ldap authentication server (out of the scope of this bug)
2. setup RHL Phoebe2 box to use ldap authentication server (using authconfig-gtk)
3. finger somevaliduser
4. watch ethereal output or accesslog on the ldap server
    

Actual Results:  [06/Feb/2003:13:41:27 -0700] conn=1258702 op=1 SRCH
base="dc=sun,dc=com" scope=2 filter="(objectClass=posixAccount)" attrs="uid
userPassword uidNumber gidNumber cn homeDirectory loginShell gecos description
objectClass"

---
[06/Feb/2003:12:02:35 -0700] conn=1244165 op=2 SRCH base="dc=sun,dc=com" scope=2
filter="(&(objectClass=posixGroup))" attrs="cn userPassword memberUid
uniqueMember gidNumber"
[06/Feb/2003:12:02:49 -0700] conn=1244222 op=1 SRCH base="dc=sun,dc=com" scope=2
filter="(&(objectClass=posixGroup))" attrs="cn userPassword memberUid
uniqueMember gidNumber"
[06/Feb/2003:12:02:51 -0700] conn=1244222 op=2 SRCH base="dc=sun,dc=com" scope=2
filter="(&(objectClass=posixGroup))" attrs="cn userPassword memberUid
uniqueMember gidNumber"


Expected Results:  it should have something like uid=XXX or posixuid=XXX .. in
the filter.. why does it get all entries??? are we going back to the ypcat map |
grep entry type of searches???

Additional info:

$ rpm -qi nss_ldap
Name        : nss_ldap                     Relocations: (not relocateable)
Version     : 202                               Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Wed 15 Jan 2003 10:40:34
PM MST
Install Date: Sat 01 Feb 2003 10:02:53 PM MST      Build Host:
sylvester.devel.redhat.com
Group       : System Environment/Base       Source RPM: nss_ldap-202-4.src.rpm
Size        : 2058315                          License: LGPL
Signature   : DSA/SHA1, Wed 15 Jan 2003 10:45:06 PM MST, Key ID
fd372689897da07aPackager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.padl.com/
Summary     : NSS library and PAM module for LDAP.
Description :
This package includes two LDAP access clients: nss_ldap and pam_ldap.
Nss_ldap is a set of C library extensions that allow X.500 and LDAP
directory servers to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, users, RPCs, services, and shadow
passwords (instead of or in addition to using flat files or NIS).

Pam_ldap is a module for Linux-PAM that supports password changes, V2
clients, Netscape's SSL, ypldapd, Netscape Directory Server password
policies, access authorization, and crypted hashes.
Comment 1 Bill Nottingham 2006-08-05 00:11:13 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:51:55 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.